# rewe-debian-java Docker Image
This repository contains the Dockerfile and build instructions
for the rewe-debian-java docker image. This image is part
of the image consolidation plan outlined in
https://intranet.rewe-digital.com/PI/Docker+Image+Consolidation

# Introducing a New Java Release
If you want to introduce a new Java release please check your doing
against the following checklist.

1. Checkout a new branch with the version of the Java release for example "java18.3".
2. Ensure new JRE is available on storage.rewe-digital.com
3. New branch: adjust the server JRE download path and mv pattern.
4. New branch: ensure your new Dockerfile builds a propper image, check for
 keytool parameter changes.
5. New branch: adjust the releaseVersion in Jenkinsfile
5. New branch and old branch(es): make sure the docker tags in your Jenkinsfile
 match, look out for "latest" and "lts" tags.
6. New branch: adjust the dspolicy.json (deckschrubber policy file) to cover the new images.
7. Edit the seedjob in the jenkins_packer_base repository to build the new branch
 and remove obsolete build jobs.
8. Change the default branch in git.

# Supported Releases
We try to support the current Java lts release and latest one as provided by
Oracle.

# Updating additional certificates
If you update any of the additional certificates make sure you commit to the
default branch (latest java release) and cherry pick your commit to all other
supported branches.
