#!/usr/bin/env groovy

import javaposse.jobdsl.dsl.DslScriptLoader;
import javaposse.jobdsl.plugin.JenkinsJobManagement;
import javaposse.jobdsl.plugin.ExecuteDslScripts;

def params = [
  pipelineJobs: [
        [name: 'docker_image_rewe_debian', repo: 'PI/rewe-debian', branch: '*/stretch', jenkinsFilename: 'Jenkinsfile', cron: '@daily'],
        [name: 'docker_image_rewe_debian_java8', repo: 'PI/rewe-debian-java', branch: '*/java8', jenkinsFilename: 'Jenkinsfile', cron: '@dai
ly'],
        [name: 'docker_image_rewe_debian_java10', repo: 'PI/rewe-debian-java', branch: '*/java10', jenkinsFilename: 'Jenkinsfile', cron: '@d
aily'],
  ]
]

params.pipelineJobs.each { job ->
  pipelineJob(job.name) {
    definition {
        cpsScm {
          scm {
            git("ssh://git@git.rewe-digital.com/${job.repo}.git", job.branch)
          }
          scriptPath(job.jenkinsFilename)
        }
    }
    logRotator() {
        artifactNumToKeep(300)
        numToKeep(10)
    }
    triggers {
      if(job.triggers) scm("${job.triggers}")
      if(job.cron) cron("${job.cron}")
    }
  }
}
